org.springframework.cloud.dataflow.core

## Class StreamRuntimePropertyKeys

- java.lang.Object
- - org.springframework.cloud.dataflow.core.StreamRuntimePropertyKeys

-     public class StreamRuntimePropertyKeys
      extends Object

  Runtime Property Keys used in Spring Cloud Data Flow
  Author:
    Christian Tzolov

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ATTRIBUTE_GUID` Application unique ID as generated by the target platform deployer
    `static String` | `ATTRIBUTE_PORT` Application's port as provided by the target platform deployer
    `static String` | `ATTRIBUTE_SKIPPER_APPLICATION_NAME` Mame of the deployed application as occurring in Skipper's manifest
    `static String` | `ATTRIBUTE_SKIPPER_RELEASE_NAME` Mame of the deployed stream as occurring in Skipper's manifest
    `static String` | `ATTRIBUTE_SKIPPER_RELEASE_VERSION` Version of the deployed stream as occurring in Skipper's manifest
    `static String` | `ATTRIBUTE_URL` Application's url as provided by the target platform deployer

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamRuntimePropertyKeys()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ATTRIBUTE_SKIPPER_APPLICATION_NAME

          public static final String ATTRIBUTE_SKIPPER_APPLICATION_NAME

      Mame of the deployed application as occurring in Skipper's manifest
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_SKIPPER_RELEASE_VERSION

          public static final String ATTRIBUTE_SKIPPER_RELEASE_VERSION

      Version of the deployed stream as occurring in Skipper's manifest
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_SKIPPER_RELEASE_NAME

          public static final String ATTRIBUTE_SKIPPER_RELEASE_NAME

      Mame of the deployed stream as occurring in Skipper's manifest
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_GUID

          public static final String ATTRIBUTE_GUID

      Application unique ID as generated by the target platform deployer
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_URL

          public static final String ATTRIBUTE_URL

      Application's url as provided by the target platform deployer
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_PORT

          public static final String ATTRIBUTE_PORT

      Application's port as provided by the target platform deployer
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StreamRuntimePropertyKeys

          public StreamRuntimePropertyKeys()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.